For the complete documentation index, see llms.txt. This page is also available as Markdown.

LoanTypeIdRange

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getLoanTypeIdRange

post

Retrieve LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanTypeIdRangeIdRangeintegerOptional
LoanTypeIdRangeLoanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getLoanTypeIdRange
POST /nexum/627/2022.01/parameter/getLoanTypeIdRange HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanTypeIdRangeIdRange": 1,
  "LoanTypeIdRangeLoanType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanTypeIdRange": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getLoanTypeIdRange"
}

getLoanTypeIdRangeSelectFields

post

Retrieve LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanTypeIdRangeIdRangeintegerOptional
LoanTypeIdRangeLoanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getLoanTypeIdRangeSelectFields
POST /nexum/627/2022.01/parameter/getLoanTypeIdRangeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 308

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "LoanTypeIdRangeLoanType": 0,
  "LoanTypeIdRangeIdRange": 0,
  "SelectableFields": {
    "LoanTypeIdRangeFields": {
      "LoanType": true,
      "IdRange": true,
      "IdRangeLow": true,
      "IdRangeHigh": true
    }
  }
}
200

Successful operation.

{
  "LoanTypeIdRange": {
    "IdRange": 0,
    "IdRangeHigh": -1,
    "IdRangeLow": -1,
    "LoanType": 0
  },
  "MessageId": "getLoanTypeIdRangeSelectFields"
}

getLoanTypeIdRangePagedList

post

Retrieve LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getLoanTypeIdRangePagedList
POST /nexum/627/2022.01/parameter/getLoanTypeIdRangePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanTypeIdRange": [],
  "Token": null,
  "MessageId": "getLoanTypeIdRangePagedList"
}

getLoanTypeIdRangeListSelectFields

post

Retrieve LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getLoanTypeIdRangeListSelectFields
POST /nexum/627/2022.01/parameter/getLoanTypeIdRangeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 198

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanTypeIdRangeFields": true
  }
}
200

Successful operation.

{
  "LoanTypeIdRangeList": [],
  "MessageId": "getLoanTypeIdRangeListSelectFields"
}

searchLoanTypeIdRangeSelectFields

post

Search LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchLoanTypeIdRangeSelectFields
POST /nexum/627/2022.01/parameter/searchLoanTypeIdRangeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanTypeIdRangeFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanTypeIdRangeList": [],
  "MessageId": "searchLoanTypeIdRangeSelectFields"
}

getLoanTypeIdRangePagedListSelectFields

post

Retrieve LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getLoanTypeIdRangePagedListSelectFields
POST /nexum/627/2022.01/parameter/getLoanTypeIdRangePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LoanTypeIdRangeFields": {
      "LoanType": true,
      "IdRange": true,
      "IdRangeLow": true,
      "IdRangeHigh": true
    }
  }
}
200

Successful operation.

{
  "LoanTypeIdRange": [
    {
      "IdRange": 0,
      "IdRangeHigh": -1,
      "IdRangeLow": -1,
      "LoanType": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getLoanTypeIdRangePagedListSelectFields"
}

searchLoanTypeIdRangePagedSelectFields

post

Search LoanTypeIdRange parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanTypeIdRangePagedSelectFields
POST /nexum/627/2022.01/parameter/searchLoanTypeIdRangePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 343

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "LoanTypeIdRangeFields": {
      "LoanType": true,
      "IdRange": true,
      "IdRangeLow": true,
      "IdRangeHigh": true
    }
  }
}
200

Successful operation.

{
  "LoanTypeIdRange": [
    {
      "IdRange": 0,
      "IdRangeHigh": -1,
      "IdRangeLow": -1,
      "LoanType": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchLoanTypeIdRangePagedSelectFields"
}

updateLoanTypeIdRangeByID

post

Update LoanTypeIdRange parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanTypeIdRangeIdRangeintegerOptional
LoanTypeIdRangeLoanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateLoanTypeIdRangeByID
POST /nexum/627/2022.01/parameter/updateLoanTypeIdRangeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 264

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanTypeIdRangeIdRange": 1,
  "LoanTypeIdRangeLoanType": 1,
  "LoanTypeIdRangeUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateLoanTypeIdRangeByID"
}

Last updated

Was this helpful?